FIDO_ASSERT_ALLOW_CRED(3)

NAME
fido_assert_allow_cred - appends a credential ID to the list of credentials allowed in an assertion

SYNOPSIS
#include <fido.h>
int
fido_assert_allow_cred(fido_assert_t *assert, const unsigned char *ptr, size_t len);

DESCRIPTION
The fido_assert_allow_cred() function adds ptr to the list of credentials allowed in assert, where ptr points to a credential ID of len bytes. A copy of ptr is made, and no references to the passed pointer are kept. If fido_assert_allow_cred() fails, the existing list of allowed credentials is preserved.

For the format of a FIDO 2 credential ID, please refer to the Web Authentication (webauthn) standard.

RETURN VALUES
The error codes returned by fido_assert_allow_cred() are defined in <fido/err.h>. On success, FIDO_OK is returned.

SEE ALSO
fido_assert_new(3), fido_assert_set_authdata(3), fido_dev_get_assert(3)